Skip to main content
Version: 5.35.0

Radio button

Radio button component is used when the user needs to select one option from a set.

This UI component is best used when there is enough space, since all the options are visible at once. If you need to save space, a better UI choice would be the Dropdown component, which only displays the selected option and the others are only visible on selection.

Usage​

Use the label option to provide a label to the Radio button.

All the options can be passed to the radio via data- attributes with exceptions of the native input supported ones. The attributes that the native html input supports can be passed directly without the data- prefix. For example the checked, the disabled or the value attributes (and so on...).

<label>
<input type="radio" mbsc-radio data-label="The label of the Radio button" />
</label>

Auto vs. manual initialization​

If the component is added later to the DOM, e.g. with an AJAX page load, a custom function named enhance needs to be called in order to initialize the dynamically added component. When the enhance function is called on a DOM element, all form elements will be initialized inside this element.

var xhr = new XMLHttpRequest();
xhr.onreadystatechange = function() {
if (xhr.readyState == XMLHttpRequest.DONE) {
var page = document.getElementById('page');
page.innerHTML = xhr.responseText;
mobiscroll.enhance(page);
}
}
xhr.open('GET', '/myform', true);
xhr.send();

Options​

Explore the following API options that help you easily configure the Radio button component.

color​

"success" | "light" | "dark" | "primary" | "secondary" | "danger" | "warning" | "info"

Specifies the predefined color of the radio button.

Default value: undefined

cssClass​

string

Specifies a custom CSS class for the component.

Default value: undefined

description​

string

Specifies the description text of the radio button.

Default value: undefined

disabled​

boolean

Specifies the disabled state of the radio button.

Default value: false

id​

string

Specifies the id of the radio button.

Default value: undefined

label​

string

Specifies the label of the radio button.

Default value: undefined

name​

string

Specifies the name of the radio button.

Default value: undefined

position​

"end" | "start"

Sets the position of the radio button depending on the rtl option. When in left-to-right mode, 'start' will render the radio button to the left, and 'end' will render it to the right. In right-to-left mode, 'start' will render the radio button to the right, and 'end' will render it to the left.

Default value: 'end'

theme​

string

Specifies the visual appearance of the component.

If it is 'auto' or undefined, the theme will automatically be chosen based on the platform. If custom themes are also present, they will take precedence over the built in themes, e.g. if there's an iOS based custom theme, it will be chosen on the iOS platform instead of the default iOS theme.

Supplied themes:

  • 'ios' - iOS theme
  • 'material' - Material theme
  • 'windows' - Windows theme

It's possible to modify theme colors or create custom themes.

info

Make sure that the theme you set is included in the downloaded package.

Default value: undefined

themeVariant​

"auto" | "light" | "dark"

Controls which variant of the theme will be used (light or dark).

Possible values:

  • 'light' - Use the light variant of the theme.
  • 'dark' - Use the dark variant of the theme.
  • 'auto' or undefined - Detect the preferred system theme on devices where this is supported.

To use the option with custom themes, make sure to create two custom themes, where the dark version has the same name as the light one, suffixed with '-dark', e.g.: 'my-theme' and 'my-theme-dark'.

Default value: undefined

Events​

The Radio button component ships with different event hooks for deep customization. Events are triggered through the lifecycle of the component where you can tie in custom functionality and code.

onDestroy​

(args: any, inst: any) => void

Triggered when the component is destroyed.

Parameters:

  • args - The event argument object.

  • inst - The component instance.

onInit​

(args: any, inst: any) => void

Triggered when the component is initialized.

Parameters:

  • args - The event argument object.

  • inst - The component instance.

Localization​

The Radio button component is fully localized. This covers date and time format, button copy, rtl and more.

locale​

MbscLocale

Sets the language of the component. The locale object contains all the translations for a given language. The built in language modules are listed below. If a language is not listed, it can be provided as a custom language module.

Supported values:

  • Arabic: localeAr, 'ar'
  • Bulgarian: localeBg, 'bg'
  • Catalan: localeCa, 'ca'
  • Czech: localeCs, 'cs'
  • Chinese: localeZh, 'zh'
  • Croatian: localeHr, 'hr'
  • Danish: localeDa, 'da'
  • Dutch: localeNl, 'nl'
  • English: localeEn or undefined, 'en'
  • English (UK): localeEnGB, 'en-GB'
  • Farsi: localeFa, 'fa'
  • German: localeDe, 'de'
  • Greek: localeEl, 'el'
  • Spanish: localeEs, 'es'
  • Finnish: localeFi, 'fi'
  • French: localeFr, 'fr'
  • Hebrew: localeHe, 'he'
  • Hindi: localeHi, 'hi'
  • Hungarian: localeHu, 'hu'
  • Italian: localeIt, 'it'
  • Japanese: localeJa, 'ja'
  • Korean: localeKo, 'ko'
  • Lithuanian: localeLt, 'lt'
  • Norwegian: localeNo, 'no'
  • Polish: localePl, 'pl'
  • Portuguese (Brazilian): localePtBR, 'pt-BR'
  • Portuguese (European): localePtPT, 'pt-PT'
  • Romanian: localeRo, 'ro'
  • Russian: localeRu, 'ru'
  • Russian (UA): localeRuUA, 'ru-UA'
  • Slovak: localeSk, 'sk'
  • Serbian: localeSr, 'sr'
  • Swedish: localeSv, 'sv'
  • Thai: localeTh, 'th'
  • Turkish: localeTr, 'tr'
  • Ukrainian: localeUa, 'ua'

Default value: undefined

rtl​

boolean

Enables right-to-left display.

Default value: false

Skip to main content
Version: 5.35.0

Radio button

Radio button component is used when the user needs to select one option from a set.

This UI component is best used when there is enough space, since all the options are visible at once. If you need to save space, a better UI choice would be the Dropdown component, which only displays the selected option and the others are only visible on selection.

Usage​

Radio button component can be used individually or can be grouped logically inside a Radio Group component. The Radio Group component, also helps to specify the group name only once, otherwise it needs to be added to every Radio button.

<mbsc-radio value="1" name="myRadio" label="One"></mbsc-radio>
<mbsc-radio-group name="gender">
<mbsc-radio value="f" label="Female"></mbsc-radio>
<mbsc-radio value="m" label="Male"></mbsc-radio>
<mbsc-radio value="o" label="Other"></mbsc-radio>
</mbsc-radio-group>

Value binding​

Radio button component can be bound to a string value using either the [(ngModel)] or the formControlName directives. These directives can be used individually on every Radio button component or can be applied to the radio group.

<div>
<mbsc-radio [(ngModel)]="myAge" name="age" value="adult" label="Adult (18+)"></mbsc-radio>
<mbsc-radio [(ngModel)]="myAge" name="age" value="teen" label="Teen (13-18)"></mbsc-radio>
<mbsc-radio [(ngModel)]="myAge" name="age" value="child" label="Child (4-13)"></mbsc-radio>
<mbsc-radio [(ngModel)]="myAge" name="age" value="toddler" label="Toddler (1-4)"></mbsc-radio>
<mbsc-radio [(ngModel)]="myAge" name="age" value="baby" label="Baby (0-1)"></mbsc-radio>
</div>

<mbsc-radio-group name="eye-color" [(ngModel)]="myEye">
<mbsc-radio value="blue" label="Blue"></mbsc-radio>
<mbsc-radio value="brown" label="Brown"></mbsc-radio>
<mbsc-radio value="green" label="Green"></mbsc-radio>
<mbsc-radio value="grey" label="Grey"></mbsc-radio>
</mbsc-radio-group>
@Component({...})
export class MyComponent {
myAge = 'adult';
myEye = 'green';
}

Options​

Explore the following API options that help you easily configure the Radio button component.

color​

"success" | "light" | "dark" | "primary" | "secondary" | "danger" | "warning" | "info"

Specifies the predefined color of the radio button.

Default value: undefined

cssClass​

string

Specifies a custom CSS class for the component.

Default value: undefined

description​

string

Specifies the description text of the radio button.

Default value: undefined

disabled​

boolean

Specifies the disabled state of the radio button.

Default value: false

id​

string

Specifies the id of the radio button.

Default value: undefined

label​

string

Specifies the label of the radio button.

Default value: undefined

name​

string

Specifies the name of the radio button.

Default value: undefined

position​

"end" | "start"

Sets the position of the radio button depending on the rtl option. When in left-to-right mode, 'start' will render the radio button to the left, and 'end' will render it to the right. In right-to-left mode, 'start' will render the radio button to the right, and 'end' will render it to the left.

Default value: 'end'

theme​

string

Specifies the visual appearance of the component.

If it is 'auto' or undefined, the theme will automatically be chosen based on the platform. If custom themes are also present, they will take precedence over the built in themes, e.g. if there's an iOS based custom theme, it will be chosen on the iOS platform instead of the default iOS theme.

Supplied themes:

  • 'ios' - iOS theme
  • 'material' - Material theme
  • 'windows' - Windows theme

It's possible to modify theme colors or create custom themes.

info

Make sure that the theme you set is included in the downloaded package.

Default value: undefined

themeVariant​

"auto" | "light" | "dark"

Controls which variant of the theme will be used (light or dark).

Possible values:

  • 'light' - Use the light variant of the theme.
  • 'dark' - Use the dark variant of the theme.
  • 'auto' or undefined - Detect the preferred system theme on devices where this is supported.

To use the option with custom themes, make sure to create two custom themes, where the dark version has the same name as the light one, suffixed with '-dark', e.g.: 'my-theme' and 'my-theme-dark'.

Default value: undefined

Events​

The Radio button component ships with different event hooks for deep customization. Events are triggered through the lifecycle of the component where you can tie in custom functionality and code.

onDestroy​

(args: any, inst: any) => void

Triggered when the component is destroyed.

Parameters:

  • args - The event argument object.

  • inst - The component instance.

onInit​

(args: any, inst: any) => void

Triggered when the component is initialized.

Parameters:

  • args - The event argument object.

  • inst - The component instance.

Localization​

The Radio button component is fully localized. This covers date and time format, button copy, rtl and more.

locale​

MbscLocale

Sets the language of the component. The locale object contains all the translations for a given language. The built in language modules are listed below. If a language is not listed, it can be provided as a custom language module.

Supported values:

  • Arabic: localeAr, 'ar'
  • Bulgarian: localeBg, 'bg'
  • Catalan: localeCa, 'ca'
  • Czech: localeCs, 'cs'
  • Chinese: localeZh, 'zh'
  • Croatian: localeHr, 'hr'
  • Danish: localeDa, 'da'
  • Dutch: localeNl, 'nl'
  • English: localeEn or undefined, 'en'
  • English (UK): localeEnGB, 'en-GB'
  • Farsi: localeFa, 'fa'
  • German: localeDe, 'de'
  • Greek: localeEl, 'el'
  • Spanish: localeEs, 'es'
  • Finnish: localeFi, 'fi'
  • French: localeFr, 'fr'
  • Hebrew: localeHe, 'he'
  • Hindi: localeHi, 'hi'
  • Hungarian: localeHu, 'hu'
  • Italian: localeIt, 'it'
  • Japanese: localeJa, 'ja'
  • Korean: localeKo, 'ko'
  • Lithuanian: localeLt, 'lt'
  • Norwegian: localeNo, 'no'
  • Polish: localePl, 'pl'
  • Portuguese (Brazilian): localePtBR, 'pt-BR'
  • Portuguese (European): localePtPT, 'pt-PT'
  • Romanian: localeRo, 'ro'
  • Russian: localeRu, 'ru'
  • Russian (UA): localeRuUA, 'ru-UA'
  • Slovak: localeSk, 'sk'
  • Serbian: localeSr, 'sr'
  • Swedish: localeSv, 'sv'
  • Thai: localeTh, 'th'
  • Turkish: localeTr, 'tr'
  • Ukrainian: localeUa, 'ua'

Default value: undefined

rtl​

boolean

Enables right-to-left display.

Default value: false

Skip to main content
Version: 5.35.0

Radio button

Radio button component are used when the user needs to select one option from a set.

This UI component is best used when there is enough space, since all the options are visible at once. If you need to save space, a better UI choice would be the Dropdown component, which only displays the selected option and the others are only visible on selection.

Usage​

Use the label option to provide a label to the Radio button.

import { Radio, RadioGroup } from '@mobiscroll/react';

function App() {
return <RadioGroup name="gender">
<Radio value="f" label="Female" />
<Radio value="m" label="Male" />
<Radio value="o" label="Other" />
</RadioGroup>
}

Value binding​

Use the checked and the onChange props to set a value to the radio component.

import { useState } from 'react';
import { Radio, RadioGroup } from '@mobiscroll/react';

function App() {
const [gender, setGender] = useState('f');
const genderChange = (ev) => {
setGender(ev.target.value);
}

return <RadioGroup name="genderGroup">
<Radio value="f" checked={gender === 'f'} onChange={genderChange} label="Female" />
<Radio value="m" checked={gender === 'm'} onChange={genderChange} label="Male" />
<Radio value="o" checked={gender === 'o'} onChange={genderChange} label="Other" />
</RadioGroup>
}

Options​

Explore the following API options that help you easily configure the Radio button component.

color​

"success" | "dark" | "light" | "primary" | "secondary" | "danger" | "warning" | "info"

Specifies the predefined color of the radio button.

Default value: undefined

cssClass​

string

Specifies a custom CSS class for the component.

Default value: undefined

description​

string

Specifies the description text of the radio button.

Default value: undefined

disabled​

boolean

Specifies the disabled state of the radio button.

Default value: false

id​

string

Specifies the id of the radio button.

Default value: undefined

label​

string

Specifies the label of the radio button.

Default value: undefined

name​

string

Specifies the name of the radio button.

Default value: undefined

position​

"end" | "start"

Sets the position of the radio button depending on the rtl option. When in left-to-right mode, 'start' will render the radio button to the left, and 'end' will render it to the right. In right-to-left mode, 'start' will render the radio button to the right, and 'end' will render it to the left.

Default value: 'end'

theme​

string

Specifies the visual appearance of the component.

If it is 'auto' or undefined, the theme will automatically be chosen based on the platform. If custom themes are also present, they will take precedence over the built in themes, e.g. if there's an iOS based custom theme, it will be chosen on the iOS platform instead of the default iOS theme.

Supplied themes:

  • 'ios' - iOS theme
  • 'material' - Material theme
  • 'windows' - Windows theme

It's possible to modify theme colors or create custom themes.

info

Make sure that the theme you set is included in the downloaded package.

Default value: undefined

themeVariant​

"auto" | "dark" | "light"

Controls which variant of the theme will be used (light or dark).

Possible values:

  • 'light' - Use the light variant of the theme.
  • 'dark' - Use the dark variant of the theme.
  • 'auto' or undefined - Detect the preferred system theme on devices where this is supported.

To use the option with custom themes, make sure to create two custom themes, where the dark version has the same name as the light one, suffixed with '-dark', e.g.: 'my-theme' and 'my-theme-dark'.

Default value: undefined

Events​

The Radio button component ships with different event hooks for deep customization. Events are triggered through the lifecycle of the component where you can tie in custom functionality and code.

onDestroy​

(args: any, inst: any) => void

Triggered when the component is destroyed.

Parameters:

  • args - The event argument object.

  • inst - The component instance.

onInit​

(args: any, inst: any) => void

Triggered when the component is initialized.

Parameters:

  • args - The event argument object.

  • inst - The component instance.

Localization​

The Radio button component is fully localized. This covers date and time format, button copy, rtl and more.

locale​

MbscLocale

Sets the language of the component. The locale object contains all the translations for a given language. The built in language modules are listed below. If a language is not listed, it can be provided as a custom language module.

Supported values:

  • Arabic: localeAr, 'ar'
  • Bulgarian: localeBg, 'bg'
  • Catalan: localeCa, 'ca'
  • Czech: localeCs, 'cs'
  • Chinese: localeZh, 'zh'
  • Croatian: localeHr, 'hr'
  • Danish: localeDa, 'da'
  • Dutch: localeNl, 'nl'
  • English: localeEn or undefined, 'en'
  • English (UK): localeEnGB, 'en-GB'
  • Farsi: localeFa, 'fa'
  • German: localeDe, 'de'
  • Greek: localeEl, 'el'
  • Spanish: localeEs, 'es'
  • Finnish: localeFi, 'fi'
  • French: localeFr, 'fr'
  • Hebrew: localeHe, 'he'
  • Hindi: localeHi, 'hi'
  • Hungarian: localeHu, 'hu'
  • Italian: localeIt, 'it'
  • Japanese: localeJa, 'ja'
  • Korean: localeKo, 'ko'
  • Lithuanian: localeLt, 'lt'
  • Norwegian: localeNo, 'no'
  • Polish: localePl, 'pl'
  • Portuguese (Brazilian): localePtBR, 'pt-BR'
  • Portuguese (European): localePtPT, 'pt-PT'
  • Romanian: localeRo, 'ro'
  • Russian: localeRu, 'ru'
  • Russian (UA): localeRuUA, 'ru-UA'
  • Slovak: localeSk, 'sk'
  • Serbian: localeSr, 'sr'
  • Swedish: localeSv, 'sv'
  • Thai: localeTh, 'th'
  • Turkish: localeTr, 'tr'
  • Ukrainian: localeUa, 'ua'

Default value: undefined

rtl​

boolean

Enables right-to-left display.

Default value: false

Skip to main content
Version: 5.35.0

Radio button

Radio button component are used when the user needs to select one option from a set.

This UI component is best used when there is enough space, since all the options are visible at once. If you need to save space, a better UI choice would be the Dropdown component, which only displays the selected option and the others are only visible on selection.

Usage​

Use the label option to provide a label to the Radio button.

<script setup>
import { MbscRadio, MbscRadioGroup } from '@mobiscroll/vue';
</script>

<template>
<MbscRadioGroup>
<MbscRadio label="Option 1" value="1" />
<MbscRadio label="Option 2" value="2" />
<MbscRadio label="Option 3" value="3" />
</MbscRadioGroup>
</template>

Value binding​

Use the v-model directive to create a two-way binding.

<script setup>
import { ref } from 'vue';
import { MbscRadio, MbscRadioGroup } from '@mobiscroll/vue';

const radio = ref('1');
</script>

<template>
<MbscRadioGroup v-model="radio">
<MbscRadio label="Option 1" value="1" />
<MbscRadio label="Option 2" value="2" />
<MbscRadio label="Option 3" value="3" />
</MbscRadioGroup>
Radio value: {{ radio }}
</template>

Options​

Explore the following API options that help you easily configure the Radio button component.

color​

"light" | "dark" | "primary" | "secondary" | "success" | "danger" | "warning" | "info"

Specifies the predefined color of the radio button.

Default value: undefined

cssClass​

string

Specifies a custom CSS class for the component.

Default value: undefined

description​

string

Specifies the description text of the radio button.

Default value: undefined

disabled​

boolean

Specifies the disabled state of the radio button.

Default value: false

id​

string

Specifies the id of the radio button.

Default value: undefined

label​

string

Specifies the label of the radio button.

Default value: undefined

name​

string

Specifies the name of the radio button.

Default value: undefined

position​

"start" | "end"

Sets the position of the radio button depending on the rtl option. When in left-to-right mode, 'start' will render the radio button to the left, and 'end' will render it to the right. In right-to-left mode, 'start' will render the radio button to the right, and 'end' will render it to the left.

Default value: 'end'

theme​

string

Specifies the visual appearance of the component.

If it is 'auto' or undefined, the theme will automatically be chosen based on the platform. If custom themes are also present, they will take precedence over the built in themes, e.g. if there's an iOS based custom theme, it will be chosen on the iOS platform instead of the default iOS theme.

Supplied themes:

  • 'ios' - iOS theme
  • 'material' - Material theme
  • 'windows' - Windows theme

It's possible to modify theme colors or create custom themes.

info

Make sure that the theme you set is included in the downloaded package.

Default value: undefined

themeVariant​

"light" | "dark" | "auto"

Controls which variant of the theme will be used (light or dark).

Possible values:

  • 'light' - Use the light variant of the theme.
  • 'dark' - Use the dark variant of the theme.
  • 'auto' or undefined - Detect the preferred system theme on devices where this is supported.

To use the option with custom themes, make sure to create two custom themes, where the dark version has the same name as the light one, suffixed with '-dark', e.g.: 'my-theme' and 'my-theme-dark'.

Default value: undefined

Events​

The Radio button component ships with different event hooks for deep customization. Events are triggered through the lifecycle of the component where you can tie in custom functionality and code.

@destroy​

(args: any, inst: any) => void

Triggered when the component is destroyed.

Parameters:

  • args - The event argument object.

  • inst - The component instance.

@init​

(args: any, inst: any) => void

Triggered when the component is initialized.

Parameters:

  • args - The event argument object.

  • inst - The component instance.

Localization​

The Radio button component is fully localized. This covers date and time format, button copy, rtl and more.

locale​

MbscLocale

Sets the language of the component. The locale object contains all the translations for a given language. The built in language modules are listed below. If a language is not listed, it can be provided as a custom language module.

Supported values:

  • Arabic: localeAr, 'ar'
  • Bulgarian: localeBg, 'bg'
  • Catalan: localeCa, 'ca'
  • Czech: localeCs, 'cs'
  • Chinese: localeZh, 'zh'
  • Croatian: localeHr, 'hr'
  • Danish: localeDa, 'da'
  • Dutch: localeNl, 'nl'
  • English: localeEn or undefined, 'en'
  • English (UK): localeEnGB, 'en-GB'
  • Farsi: localeFa, 'fa'
  • German: localeDe, 'de'
  • Greek: localeEl, 'el'
  • Spanish: localeEs, 'es'
  • Finnish: localeFi, 'fi'
  • French: localeFr, 'fr'
  • Hebrew: localeHe, 'he'
  • Hindi: localeHi, 'hi'
  • Hungarian: localeHu, 'hu'
  • Italian: localeIt, 'it'
  • Japanese: localeJa, 'ja'
  • Korean: localeKo, 'ko'
  • Lithuanian: localeLt, 'lt'
  • Norwegian: localeNo, 'no'
  • Polish: localePl, 'pl'
  • Portuguese (Brazilian): localePtBR, 'pt-BR'
  • Portuguese (European): localePtPT, 'pt-PT'
  • Romanian: localeRo, 'ro'
  • Russian: localeRu, 'ru'
  • Russian (UA): localeRuUA, 'ru-UA'
  • Slovak: localeSk, 'sk'
  • Serbian: localeSr, 'sr'
  • Swedish: localeSv, 'sv'
  • Thai: localeTh, 'th'
  • Turkish: localeTr, 'tr'
  • Ukrainian: localeUa, 'ua'

Default value: undefined

rtl​

boolean

Enables right-to-left display.

Default value: false